# -*- coding: utf-8 -*-
import matplotlib.pyplot as plt

# Fonction d'extraction des donnees du fichier
def extraire_donnees(chemin_du_fichier):
    
    # Ouverture du fichier contenant les donnees de l'acquisition
    with open(chemin_du_fichier, 'r') as fichier_donnees:
        # Lecture de chaque ligne du fichier et affectation de chacune d'entre
        # elles dans la liste "lignes"
        lignes = fichier_donnees.readlines()
    
    # Chaque ligne contient 3 donnees : temps, abscisse et ordonnée de chaque point
    # Creation de listes vierges pour chacune des grandeurs
    liste_t = []
    liste_x = []
    liste_y = []
    
    # Extraction des 3 donnees pour chaque ligne du fichier
    # puis ajout dans la liste correspondante
    for i in range(len(lignes)):
		# Remplacement des ',' par des '.'
        lignes[i] = lignes[i].replace(',', '.')
		# Suppression de la 3e tabulation et du saut de fin de ligne
        lignes[i] = lignes[i].rstrip('\t\n')

	# On remplit les listes avec les valeurs
    for ligne in lignes[0:]:
        # try...except permet de lever les exceptions generees par le programme
        try:
            # Decoupage de la ligne apres chaque caractère tabulation '\t'
            t, x, y = ligne.split('\t')
            liste_t.append(float(t))
            liste_x.append(float(x))
            liste_y.append(float(y))
        except:
            pass
    return liste_t, liste_x, liste_y


# Fonction permettant le trace de la trajectoire y = f(x)
def affiche_trajectoire(x, y, xmax):
	plt.plot(x, y, '+')
	plt.plot(0, 0, 'x')
	plt.axis('equal')
	plt.xlim(-xmax, xmax)
	plt.ylim(-xmax, xmax)


# Fonction permettant de tracer un vecteur
def trace_vecteur(posX, posY, projX, projY, couleur='blue'):
	'''
	posX et posY correspondent à l'origine du vecteur et projX et projY sont les composantes du vecteur suivant X et Y 
	'''
	plt.arrow(posX, posY, projX, projY, head_width=0.01, head_length=0.01, fc=couleur, ec=couleur, length_includes_head=True)