# -*- coding: utf-8 -*-
import meca_vecteur
import math

## Extraction des donnees du fichier csv
# Appel à la fonction extraire_donnees, definie dans le fichier meca_vecteur
t, x, y = meca_vecteur.extraire_donnees('mouvement_cu.csv')

# Appel de la fonction permettant d'afficher la trajectoire du systeme
# (fonction definie dans le fichier meca_vecteur)
meca_vecteur.affiche_trajectoire(x, y, 3*max(x))


### La coordonnee x du i-eme point s'écrit x[i] et la date correspondante s'écrit t[i]

# Indice du point considéré (faire varier i pour changer de point)
i = 12

# Definition de l'intervalle de temps delta_t entre 3 images (i-1 et i+1)
delta_t = t[i+2]-t[i]

# Definition des composantes vx et vy du vecteur vitesse pour le i-eme point
vx_i = (x[i+1] - x[i-1])/delta_t
vy_i = (y[i+1] - y[i-1])/delta_t

# Definition des composantes vx et vy du vecteur vitesse pour le i+2-eme point
j = i + 2
vx_j = (x[j+1] - x[j-1])/delta_t
vy_j = (y[j+1] - y[j-1])/delta_t

# Trace du vecteur vitesse au i-eme point en noir
meca_vecteur.trace_vecteur(x[i], y[i], vx_i, vy_i, 'black')
# Trace du vecteur vitesse au i+2-eme point en vert
meca_vecteur.trace_vecteur(x[j], y[j], vx_j, vy_j, 'green')
# Trace du vecteur v_i+2 au i+1-eme point puis report du vecteur -v_i au bout de v_i+2 en lightgrey
meca_vecteur.trace_vecteur(x[i+1], y[i+1], vx_j, vy_j, 'lightgrey')
meca_vecteur.trace_vecteur(x[i+1]+vx_j, y[i+1]+vy_j, -vx_i, -vy_i, 'lightgrey')
# Trace du vecteur delta_v = v_i+2 - v_i au point i+1-eme point en rouge
meca_vecteur.trace_vecteur(x[i+1], y[i+1], vx_j-vx_i, vy_j-vy_i, 'red')

# Definition de delta_v
delta_v = math.sqrt((vx_j-vx_i)**2+(vy_j-vy_i)**2)
# Definition de l'acceleration pour le i+1-eme point
a = delta_v / delta_t
# Definition de a_n (acceleration normale) pour le i+1-eme point
r = math.sqrt(x[i]**2+y[i]**2)
a_n = (vx_j**2+vy_j**2)/r

print("L'acceleration du système a pour valeur a = {} m.s-2".format(round(a, 3)))
print("L'acceleration normale du système a pour valeur a_n = {} m.s-2".format(round(a_n, 3)))